/**
 * NewGuideGraphCanvas.java
*/
/* A Java class for
 * Coaxial.java
 * Electromagnetic Transmission Line Applet
 * Applet without Smith Chart - Prepared by Umberto Ravaioli 
 * for 6th edition of Fundamentals of Applied Electromagnetics Book
 * May 2009 - All Rights Reserved
 */   

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class NewGuideGraphCanvas extends GraphCanvas{
    //private static final Color bgcolor = new Color(236,236,221);
    //private static final Color bgcolor = new Color(170,240,240);
    private static final Color bgcolor = Color.gray;
    private NewGuide_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    public NewGuideGraphCanvas(NewGuide_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	setLabelAxis(true);
	setYRangeMax(state.Z0f_max);
	setYRangeMin(state.Z0f_min);
	plotZeroLine(false);
	plotRefPoint(true);
	setLabels("Real Part of Characteristic Impedance","Z","  b [ mm ]","0");
	setRefPoint(state.a);
	plot(state.x_geom1,state.F_array);
   }
   
}
